//+------------------------------------------------------------------+ 
//|   TRO_HL_HISTOGRAM                                               | 
//|                                                                  | 
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
 
#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 2

#property  indicator_color1  Lime
#property  indicator_color2  Red

#property  indicator_level1  10
#property  indicator_level2  -10
#property  indicator_levelcolor DimGray
#property  indicator_levelstyle STYLE_DASH
 
 
//---- indicator buffers
double     H_Buffer[];
double     L_Buffer[];
 
//+------------------------------------------------------------------+
int init()
  {
 
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexStyle(1,DRAW_HISTOGRAM);
 
   SetIndexBuffer(0,H_Buffer);
   SetIndexBuffer(1,L_Buffer);
   
   IndicatorShortName("HL_Histogram");
   
   SetIndexLabel(0,"HiOp");
   SetIndexLabel(1,"OpLo");
   
   return(0);
  }
  
//+------------------------------------------------------------------+


int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
 
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   for(int i=0; i<limit; i++)
   {
  
      H_Buffer[i] = (High[i] - Open[i]) / Point ;
      L_Buffer[i] = (Low[i]  - Open[i]) / Point ;

   }
   
   return(0);
  }
//+------------------------------------------------------------------+